For the complete documentation index, see llms.txt. This page is also available as Markdown.

Text

Manage multilingual text translations and variable domains in VARIO Cloud via API, including creating, updating, deleting and retrieving text resources.

Text-Parameter Resource

Find an existing Resource by identifier

get
Path parameters
idinteger · int64Required

an identifier

Responses
200

successful operation

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

languageCodestringOptional

die ausgewählte Sprachen für dieses Feld

fieldNamestringOptional

Feld Name

contentstringOptional

übersetzter Text

get/cmn/text/translations/{id}
GET /cmn/text/translations/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "languageCode": "text",
  "fieldName": "text",
  "content": "text"
}

Update existing Resource

put
Path parameters
idinteger · int64Required

an identifier

Body
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

languageCodestringOptional

die ausgewählte Sprachen für dieses Feld

fieldNamestringOptional

Feld Name

contentstringOptional

übersetzter Text

Responses
200

successful operation

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

languageCodestringOptional

die ausgewählte Sprachen für dieses Feld

fieldNamestringOptional

Feld Name

contentstringOptional

übersetzter Text

put/cmn/text/translations/{id}
PUT /cmn/text/translations/{id} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 98

{
  "version": "text",
  "info": {},
  "id": "text",
  "languageCode": "text",
  "fieldName": "text",
  "content": "text"
}
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "languageCode": "text",
  "fieldName": "text",
  "content": "text"
}

Delete an existing Resource

delete
Path parameters
idinteger · int64Required

an identifier

Responses
200

successful operation

application/json
contextstringOptional

message context

messageValuestringOptional

message

delete/cmn/text/translations/{id}
DELETE /cmn/text/translations/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
  "context": "text",
  "messageValue": "text"
}

Create new Resource

post
Body
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

languageCodestringOptional

die ausgewählte Sprachen für dieses Feld

fieldNamestringOptional

Feld Name

contentstringOptional

übersetzter Text

Responses
200

successful operation

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

languageCodestringOptional

die ausgewählte Sprachen für dieses Feld

fieldNamestringOptional

Feld Name

contentstringOptional

übersetzter Text

post/cmn/text/translations
POST /cmn/text/translations HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 98

{
  "version": "text",
  "info": {},
  "id": "text",
  "languageCode": "text",
  "fieldName": "text",
  "content": "text"
}
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "languageCode": "text",
  "fieldName": "text",
  "content": "text"
}
get
Path parameters
domainstringRequired

domain identifier

Responses
200

OK

application/json
and
get/cmn/text/variables/{domain}
GET /cmn/text/variables/{domain} HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

[
  {
    "_type": "text",
    "definition": "[Circular Reference]",
    "value": "[Circular Reference]"
  },
  {
    "key": "text",
    "attribute": "text",
    "path": "text",
    "displayName": "text",
    "displayNameOverride": false,
    "groupDisplayName": "text",
    "parentDisplayName": "text",
    "resultable": true,
    "filterable": true,
    "sortable": true,
    "visible": true,
    "functions": [
      "text"
    ],
    "sortDirection": "text",
    "constraint": {
      "minLength": 1,
      "maxLength": 1,
      "minValue": 1,
      "includeMinValue": true,
      "maxValue": 1,
      "includeMaxValue": true,
      "notNull": false,
      "notBlank": true,
      "digitsFraction": 1
    },
    "dataType": {
      "identifier": "text",
      "jsType": "text",
      "objectRefIdentifier": "text",
      "filterOptions": {
        "filterValues": [
          "text"
        ],
        "filterDialog": {
          "empty": true,
          "array": true,
          "null": true,
          "object": true,
          "float": true,
          "missingNode": true,
          "nodeType": "ARRAY",
          "valueNode": true,
          "container": true,
          "integralNumber": true,
          "floatingPointNumber": true,
          "string": true,
          "pojo": true,
          "short": true,
          "int": true,
          "long": true,
          "double": true,
          "bigDecimal": true,
          "bigInteger": true,
          "boolean": true,
          "binary": true,
          "number": true,
          "embeddedValue": true
        },
        "multipleChoice": false
      },
      "functions": [
        "text"
      ],
      "predicateOperations": [
        "AND"
      ]
    },
    "dataTypeIdentifier": "text",
    "modelType": "STATIC",
    "entityIdentifier": "text",
    "referencedEntityIdentifier": "text",
    "headers": []
  }
]
get
Responses
200

OK

application/json
string[]Optional
get/cmn/text/variables/domains/identifier
GET /cmn/text/variables/domains/identifier HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

[
  "text"
]

Last updated

Was this helpful?